package Wxhook

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type TerminateThisWeChatLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewTerminateThisWeChatLogic(ctx context.Context, svcCtx *svc.ServiceContext) *TerminateThisWeChatLogic {
	return &TerminateThisWeChatLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *TerminateThisWeChatLogic) TerminateThisWeChat(req *types.IDReq) (resp *types.BaseMsgResp, err error) {
	// todo: add your logic here and delete this line

	return
}
